split syncs

This commit is contained in:
Louis Abel 2022-07-17 22:11:30 -07:00
parent 90efde8477
commit 313a26ec1f
Signed by: label
GPG Key ID: B37E62D143879B36
3 changed files with 28 additions and 12 deletions

View File

@ -21,7 +21,7 @@ cloud:
- 'SOURCES/RPM-GPG-KEY-Rocky-SIG-Cloud'
'9':
profile: 'cloud'
project_id: ''
project_id: '15016370-1410-4459-a1a2-a1576041fd19'
cloud-kernel:
allowed_arches:
- aarch64

View File

@ -11,16 +11,6 @@ cd "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" || { echo "Failed to change directo
ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for production root
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist
fi
# Full file list update for rocky linux itself
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
# Hardlink everything except xml files
@ -34,6 +24,6 @@ if [ $ret_val -eq "0" ]; then
cp fullfiletimelist-rocky fullfiletimelist
cp fullfiletimelist-rocky fullfiletimelist-rocky-linux
fi
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist fullfiletimelist-rocky-linux
fi

View File

@ -0,0 +1,26 @@
#!/bin/bash
# Syncs everything from staging to production
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${REVISION}${APPEND_TO_DIR}
cd "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for production root
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist
fi
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
fi